org.apache.lucene.util

## Class DocIdBitSet

- java.lang.Object
- - org.apache.lucene.search.DocIdSet
  - - org.apache.lucene.util.DocIdBitSet

-     public class DocIdBitSet
      extends DocIdSet

  Simple DocIdSet and DocIdSetIterator backed by a BitSet

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.DocIdSet

      `EMPTY_DOCIDSET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocIdBitSet(java.util.BitSet bitSet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.BitSet` | `getBitSet()` Returns the underlying BitSet.
    `boolean` | `isCacheable()` This DocIdSet implementation is cacheable.
    `DocIdSetIterator` | `iterator()` Provides a `DocIdSetIterator` to access the set.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocIdBitSet

          public DocIdBitSet(java.util.BitSet bitSet)

  - ### Method Detail

    - #### iterator

          public DocIdSetIterator iterator()

      Description copied from class: `DocIdSet`
      Provides a `DocIdSetIterator` to access the set. This implementation can return `null` or `DocIdSet.EMPTY_DOCIDSET.iterator()` if there are no docs that match.
      Specified by:
        `iterator` in class `DocIdSet`

    - #### isCacheable

          public boolean isCacheable()

      This DocIdSet implementation is cacheable.
      Overrides:
        `isCacheable` in class `DocIdSet`

    - #### getBitSet

          public java.util.BitSet getBitSet()

      Returns the underlying BitSet.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.